com.explodingpixels.macwidgets

## Class SourceListStandardColorScheme

- java.lang.Object
- - com.explodingpixels.macwidgets.SourceListStandardColorScheme

- All Implemented Interfaces:
    SourceListColorScheme
  Direct Known Subclasses:
    SourceListBizLafColorScheme, SourceListSeaGlassColorScheme

      public class SourceListStandardColorScheme
      extends Object
      implements SourceListColorScheme

  A `SourceListColorScheme` that provides `MacWidgetsPainter`s and colors to render a standard Mac `SourceList`:
  See Also:
    `SourceList.setColorScheme(SourceListColorScheme)`, `SourceListTreeUI.setColorScheme(SourceListColorScheme)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Icon` | `UNSELECTED_COLLAPSED_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceListStandardColorScheme()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getActiveBackgroundColor()` The background color of the `SourceList` when it is in an active window.
    `MacWidgetsPainter<Component>` | `getActiveFocusedSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.
    `MacWidgetsPainter<Component>` | `getActiveUnfocusedSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and does not have focus.
    `Color` | `getActiveUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an active window.
    `Color` | `getBadgeTextColor()` The color to draw a badge's text with.
    `Color` | `getCategoryTextColor()` The color to draw a `SourceList` category with.
    `Color` | `getCategoryTextShadowColor()` The color to draw a `SourceList` category's shadow with.
    `Color` | `getInactiveBackgroundColor()` The background color of the `SourceList` when it is in an inactive window.
    `MacWidgetsPainter<Component>` | `getInactiveSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in an inactive window.
    `Color` | `getInativeUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an inactive window.
    `Color` | `getSelectedBadgeColor()` The color to draw a badge's background with when it's corresponding `SourceList` item is selected.
    `Icon` | `getSelectedCollapsedIcon()` The icon to use when a `SourceList` node is collapsed and selected.
    `Icon` | `getSelectedExpandedIcon()` The icon to use when a `SourceList` node is expanded and selected.
    `Color` | `getSelectedItemFontShadowColor()` The color to draw a selected `SourceList` item's shadow with.
    `Color` | `getSelectedItemTextColor()` The color to draw a selected `SourceList` item with.
    `Icon` | `getUnselectedCollapsedIcon()` The icon to use when a `SourceList` node is collapsed and unselected.
    `Icon` | `getUnselectedExpandedIcon()` The icon to use when a `SourceList` node is expanded and unselected.
    `Color` | `getUnselectedItemTextColor()` The color to draw an unselected `SourceList` item with.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNSELECTED_COLLAPSED_ICON

          public static final Icon UNSELECTED_COLLAPSED_ICON

  - ### Constructor Detail

    - #### SourceListStandardColorScheme

          public SourceListStandardColorScheme()

  - ### Method Detail

    - #### getActiveFocusedSelectedItemPainter

          public MacWidgetsPainter<Component> getActiveFocusedSelectedItemPainter()

      Description copied from interface: `SourceListColorScheme`
      The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.
      Specified by:
        `getActiveFocusedSelectedItemPainter` in interface `SourceListColorScheme`
      Returns:
        the `Painter` to use for painting the selection in an active window where the `SourceList` has focus.

    - #### getActiveUnfocusedSelectedItemPainter

          public MacWidgetsPainter<Component> getActiveUnfocusedSelectedItemPainter()

      Description copied from interface: `SourceListColorScheme`
      The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and does not have focus.
      Specified by:
        `getActiveUnfocusedSelectedItemPainter` in interface `SourceListColorScheme`
      Returns:
        the `Painter` to use for painting the selection in an active window where the `SourceList` does not have focus.

    - #### getInactiveSelectedItemPainter

          public MacWidgetsPainter<Component> getInactiveSelectedItemPainter()

      Description copied from interface: `SourceListColorScheme`
      The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in an inactive window.
      Specified by:
        `getInactiveSelectedItemPainter` in interface `SourceListColorScheme`
      Returns:
        the `Painter` to use for painting the selection in an inactive window.

    - #### getCategoryTextColor

          public Color getCategoryTextColor()

      Description copied from interface: `SourceListColorScheme`
      The color to draw a `SourceList` category with.
      Specified by:
        `getCategoryTextColor` in interface `SourceListColorScheme`
      Returns:
        the color to draw a `SourceList` category textwith.

    - #### getCategoryTextShadowColor

          public Color getCategoryTextShadowColor()

      Description copied from interface: `SourceListColorScheme`
      The color to draw a `SourceList` category's shadow with.
      Specified by:
        `getCategoryTextShadowColor` in interface `SourceListColorScheme`
      Returns:
        the color to draw a `SourceList` category text's shadow with.

    - #### getUnselectedItemTextColor

          public Color getUnselectedItemTextColor()

      Description copied from interface: `SourceListColorScheme`
      The color to draw an unselected `SourceList` item with.
      Specified by:
        `getUnselectedItemTextColor` in interface `SourceListColorScheme`
      Returns:
        the color to draw an unselected `SourceList` item with.

    - #### getSelectedItemTextColor

          public Color getSelectedItemTextColor()

      Description copied from interface: `SourceListColorScheme`
      The color to draw a selected `SourceList` item with.
      Specified by:
        `getSelectedItemTextColor` in interface `SourceListColorScheme`
      Returns:
        the color to draw a selected `SourceList` item with.

    - #### getSelectedItemFontShadowColor

          public Color getSelectedItemFontShadowColor()

      Description copied from interface: `SourceListColorScheme`
      The color to draw a selected `SourceList` item's shadow with.
      Specified by:
        `getSelectedItemFontShadowColor` in interface `SourceListColorScheme`
      Returns:
        the color to draw a selected `SourceList` item's shadow with.

    - #### getActiveBackgroundColor

          public Color getActiveBackgroundColor()

      Description copied from interface: `SourceListColorScheme`
      The background color of the `SourceList` when it is in an active window.
      Specified by:
        `getActiveBackgroundColor` in interface `SourceListColorScheme`
      Returns:
        the background color of the `SourceList` when it is in an active window.

    - #### getInactiveBackgroundColor

          public Color getInactiveBackgroundColor()

      Description copied from interface: `SourceListColorScheme`
      The background color of the `SourceList` when it is in an inactive window.
      Specified by:
        `getInactiveBackgroundColor` in interface `SourceListColorScheme`
      Returns:
        the background color of the `SourceList` when it is in an inactive window.

    - #### getUnselectedCollapsedIcon

          public Icon getUnselectedCollapsedIcon()

      Description copied from interface: `SourceListColorScheme`
      The icon to use when a `SourceList` node is collapsed and unselected.
      Specified by:
        `getUnselectedCollapsedIcon` in interface `SourceListColorScheme`
      Returns:
        the icon to use when a `SourceList` node is collapsed and unselected.

    - #### getUnselectedExpandedIcon

          public Icon getUnselectedExpandedIcon()

      Description copied from interface: `SourceListColorScheme`
      The icon to use when a `SourceList` node is expanded and unselected.
      Specified by:
        `getUnselectedExpandedIcon` in interface `SourceListColorScheme`
      Returns:
        the icon to use when a `SourceList` node is expanded and unselected.

    - #### getSelectedCollapsedIcon

          public Icon getSelectedCollapsedIcon()

      Description copied from interface: `SourceListColorScheme`
      The icon to use when a `SourceList` node is collapsed and selected.
      Specified by:
        `getSelectedCollapsedIcon` in interface `SourceListColorScheme`
      Returns:
        the icon to use when a `SourceList` node is collapsed and selected.

    - #### getSelectedExpandedIcon

          public Icon getSelectedExpandedIcon()

      Description copied from interface: `SourceListColorScheme`
      The icon to use when a `SourceList` node is expanded and selected.
      Specified by:
        `getSelectedExpandedIcon` in interface `SourceListColorScheme`
      Returns:
        the icon to use when a `SourceList` node is expanded and selected.

    - #### getBadgeTextColor

          public Color getBadgeTextColor()

      Description copied from interface: `SourceListColorScheme`
      The color to draw a badge's text with.
      Specified by:
        `getBadgeTextColor` in interface `SourceListColorScheme`
      Returns:
        the color to draw a badge's text with.

    - #### getSelectedBadgeColor

          public Color getSelectedBadgeColor()

      Description copied from interface: `SourceListColorScheme`
      The color to draw a badge's background with when it's corresponding `SourceList` item is selected. This color is used regardless of the wheter the parent window is active or inactive.
      Specified by:
        `getSelectedBadgeColor` in interface `SourceListColorScheme`
      Returns:
        the color to draw a badge's background with when it's corresponding `SourceList` item is selected

    - #### getActiveUnselectedBadgeColor

          public Color getActiveUnselectedBadgeColor()

      Description copied from interface: `SourceListColorScheme`
      The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an active window.
      Specified by:
        `getActiveUnselectedBadgeColor` in interface `SourceListColorScheme`
      Returns:
        the color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an active window.

    - #### getInativeUnselectedBadgeColor

          public Color getInativeUnselectedBadgeColor()

      Description copied from interface: `SourceListColorScheme`
      The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an inactive window.
      Specified by:
        `getInativeUnselectedBadgeColor` in interface `SourceListColorScheme`
      Returns:
        the color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an inactive window.